import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';

class GeideaToggleButtons extends StatefulWidget {
  GeideaToggleButtons(
      {Key key,
      this.items,
      this.color,
      this.fontSize = 14.0,
      this.textAlign,
      this.paddingVertical = 0.0,
      this.paddingHorizontal = 10.0})
      : super(key: key);

  final items;
  final Color color;
  final double fontSize;
  final double paddingVertical;
  final double paddingHorizontal;
  final TextAlign textAlign;

  @override
  _GeideaToggleButtonsState createState() => _GeideaToggleButtonsState();
}

class _GeideaToggleButtonsState extends State<GeideaToggleButtons> {
  List<bool> isSelected = [];
  List<Widget> children = <Widget>[];

  @override
  void initState() {
    for (var i = 0; i < widget.items.length; i++) {
      var item = widget.items[i];
      if (item['checked']== true) {
        isSelected.add(true);
      } else {
        isSelected.add(false);
      }
      children.add(GestureDetector(
          onTap: item['onTap'],
          child: Padding(
            padding: EdgeInsets.symmetric(
                horizontal: widget.paddingHorizontal,
                vertical: widget.paddingVertical),
            child: Text(
              item['text'],
              style: TextStyle(fontSize: widget.fontSize, fontFamily: 'Montserrat'),
            ),
          )));
    }

    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return ToggleButtons(
      borderColor: Theme.of(context).primaryColor,
      fillColor: Theme.of(context).primaryColor,
      borderWidth: 1,
      selectedBorderColor: Theme.of(context).primaryColor,
      selectedColor: Colors.white,
      borderRadius: BorderRadius.circular(0),
      children: children,
      onPressed: (int index) {
        setState(() {
          for (int i = 0; i < isSelected.length; i++) {
            isSelected[i] = i == index;
          }
        });
      },
      isSelected: isSelected,
    );
  }
}
