import 'package:flutter/material.dart';
import 'package:geideadesignframework/gediea_app_bar.dart';
import 'package:geideadesignframework/gediea_app_drawer.dart';
import 'package:geideadesignframework/geidea_bottom_modal.dart';
import 'package:geideadesignframework/geidea_toggle_buttons.dart';
import 'package:geideadesignframework/main.dart';
import 'package:geideadesignframework/main_button.dart';
import 'package:geideadesignframework/monstserrat_text.dart';
import 'package:geideadesignframework/secondary_button.dart';
import 'package:geideadesignframework/text_field.dart';
import 'package:geideadesignframework/GeideaTheme.dart';


class SecondaryPage extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Geidea Demo',
      color: GeideaColors.orange[500],
      theme: GeideaTheme,
      home: MySecondaryHomePage(title: 'Geidea Design Framework'),
    );
  }
}

class MySecondaryHomePage extends StatefulWidget {
  MySecondaryHomePage({Key key, this.title}) : super(key: key);

  // This widget is the home page of your application. It is stateful, meaning
  // that it has a State object (defined below) that contains fields that affect
  // how it looks.

  // This class is the configuration for the state. It holds the values (in this
  // case the title) provided by the parent (in this case the App widget) and
  // used by the build method of the State. Fields in a Widget subclass are
  // always marked "final".

  final String title;

  @override
  _MySecondaryHomePageState createState() => _MySecondaryHomePageState();
}

class _MySecondaryHomePageState extends State<MySecondaryHomePage> {
  GlobalKey<ScaffoldState> _drawerKey = GlobalKey();

  @override
  Widget build(BuildContext context) {
    // This method is rerun every time setState is called, for instance as done
    // by the _incrementCounter method above.
    //
    // The Flutter framework has been optimized to make rerunning build methods
    // fast, so that you can just rebuild anything that needs updating rather
    // than having to individually change instances of widgets.
    return Scaffold(
      key: _drawerKey, // assign key to Scaffold

      appBar: GedieaAppBar(
        title: widget.title,
        backgroundColor: Colors.white,
        textColor: Theme.of(context).primaryColor,
        borderBottomColor: Theme.of(context).primaryColorLight,
        borderBottomHeight: 2.0,
        leading: IconButton(
          icon: Icon(Icons.chevron_left, color: Theme.of(context).primaryColor),
          onPressed: (){
            Navigator.push(
              context,
              MaterialPageRoute(
                  builder: (context) => MyApp()),
            );
          },
        ),
      ),
      body: Center(
        // Center is a layout widget. It takes a single child and positions it
        // in the middle of the parent.
        child: Column(
          children: <Widget>[
            Padding(
              padding: EdgeInsets.symmetric(vertical: 40,horizontal: 20),
              child:
              MonstserratText(
                text: 'So, Let\'s have your National ID to receive your information from Absher.',
                fontSize: 18.0,
                color: Theme.of(context).hintColor,
                textAlign: TextAlign.left,
              ),
            ),
            Padding(
                padding: EdgeInsets.symmetric(horizontal: 20),
                child: MainButton(
                  text: 'Open Bottom Sheet',
                  onPressed: () {
                    GeideaBottomModal.showModal(context,title: 'Modal Title');
                  },
                  disabled: false,
                )),
          ],
        ),
      ),
    );
  }
}
