import 'package:flutter/material.dart';
import 'package:carousel_pro/carousel_pro.dart';
class Akureyri extends StatefulWidget {
  Akureyri({Key key, this.title}) : super(key: key);
  final String title;

  @override
  _AkureyriState createState() => _AkureyriState();
}

class _AkureyriState extends State<Akureyri> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: ListView(
      children: <Widget>[
        Stack(
          children: <Widget>[
            SizedBox(
                height: 300.0,
                child: Stack(
                  children: <Widget>[
                    Carousel(
                      images: [
                        AssetImage('lib/assets/images/placeholder.jpg'),
                        // Photo from https://unsplash.com/photos/2d4lAQAlbDA
                        AssetImage('lib/assets/images/placeholder.jpg'),
                        // Photo from https://unsplash.com/photos/FqqiAvJejto
                        AssetImage('lib/assets/images/placeholder.jpg'),
                        // Photo from https://unsplash.com/photos/_-JR5TxKNSo
                        AssetImage('lib/assets/images/placeholder.jpg'),
                        // Photo from https://unsplash.com/photos/K0rvMa1Y18A
                        AssetImage('lib/assets/images/placeholder.jpg'),
                        // Photo from https://unsplash.com/photos/I_QC1JICzA0
                      ],
                      dotSize: 4.0,
                      dotSpacing: 15.0,
                      autoplay: false,
                      dotColor: Colors.white,
                      indicatorBgPadding: 50.0,
                      dotBgColor: Colors.transparent,
                      borderRadius: false,
                      moveIndicatorFromBottom: 200.0,
                      noRadiusForIndicator: true,
                    ),
                  ],
                )),
            Padding(
              padding: EdgeInsets.only(top: 270, left: 20, right: 20),
              child: Container(
                  height: 100.0,
                  width: MediaQuery.of(context).size.width - 24.0,
                  decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(10.0),
                      color: Colors.white,
                      boxShadow: [
                        BoxShadow(
                            blurRadius: 2.0,
                            color: Colors.grey.withOpacity(0.3),
                            spreadRadius: 2.0)
                      ]),
                  child: Padding(
                    padding: EdgeInsets.only(left: 20),
                    child: Column(
                      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: <Widget>[
                        Text(
                          'Akureyri',
                          style: TextStyle(fontFamily: 'Montserrat'),
                        ),
                        Text('\$60'),
                        Row(
                          children: <Widget>[
                            Icon(
                              Icons.star,
                              color: Colors.amber,
                              size: 13.0,
                            ),
                            Icon(
                              Icons.star,
                              color: Colors.amber,
                              size: 13.0,
                            ),
                            Icon(
                              Icons.star,
                              color: Colors.amber,
                              size: 13.0,
                            ),
                            Icon(
                              Icons.star,
                              color: Colors.amber,
                              size: 13.0,
                            ),
                            Icon(
                              Icons.star,
                              color: Colors.amber,
                              size: 13.0,
                            ),
                          ],
                        )
                      ],
                    ),
                  )),
            ),
            AppBar(
              backgroundColor: Colors.transparent,
              elevation: 0,
            ),
          ],
        ),
        Padding(
          padding: EdgeInsets.only(top: 60, bottom: 20, left: 14),
          child: Text(
            'About Hotel',
            style: TextStyle(
                fontSize: 20,
                fontWeight: FontWeight.bold,
                fontFamily: 'Montserrat'),
          ),
        ),
        about_hotel('Architectural house in north Iceland.'),
        about_hotel(
            'This is one of the apartments in Villa Lola, located in Vaðlaheiði near Akureyri, the capital of north Iceland.'),
        about_hotel(
            'The villa is located in the exclusive residence area of Akureyri. This location offers you a quiet atmosphere and a touch of the nature. You will have a view over the bay and Akureyri .'),
        about_hotel(
            'In the winter time you can enjoy the aurora borealis and in the summer time the midnight sun.'),
        Padding(
          padding: EdgeInsets.only(top: 60, bottom: 20, left: 14),
          child: Text(
            'Amenities',
            style: TextStyle(
                fontSize: 20,
                fontWeight: FontWeight.bold,
                fontFamily: 'Montserrat'),
          ),
        ),
        amenities('lib/assets/images/placeholder.jpg', 'lib/assets/images/placeholder.jpg', 'lib/assets/images/placeholder.jpg', '2 Beds',
            'TV', 'Kitchen'),
      ],
    ));
  }

  Widget amenities(
    String url1,
    String url2,
    String url3,
    String features1,
    String features2,
    String features3,
  ) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceAround,
      children: <Widget>[
        Container(
            width: 76,
            height: 76,
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(40.0),
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                      offset: Offset(0, 1.0),
                      color: Colors.grey.withOpacity(0.3),
                      spreadRadius: 0.2)
                ]),
            child: Column(
              children: <Widget>[
                Image.asset(
                  url1,
                  fit: BoxFit.contain,
                  height: 40.0,
                  width: 40.0,
                ),
                SizedBox(
                  height: 10,
                ),
                Text(features1)
              ],
            )),
        Container(
            width: 76,
            height: 76,
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(40.0),
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                      offset: Offset(0, 1.0),
                      color: Colors.grey.withOpacity(0.3),
                      spreadRadius: 0.2)
                ]),
            child: Column(
              children: <Widget>[
                Image.asset(
                  url2,
                  fit: BoxFit.contain,
                  height: 40.0,
                  width: 40.0,
                ),
                SizedBox(
                  height: 10,
                ),
                Text(features2)
              ],
            )),
        Container(
            width: 76,
            height: 76,
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(40.0),
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                      offset: Offset(0, 1.0),
                      color: Colors.grey.withOpacity(0.3),
                      spreadRadius: 0.2)
                ]),
            child: Column(
              children: <Widget>[
                Image.asset(
                  url3,
                  fit: BoxFit.contain,
                  height: 40.0,
                  width: 40.0,
                ),
                SizedBox(
                  height: 10,
                ),
                Text(features3)
              ],
            )),
      ],
    );
  }

  Widget about_hotel(
    String description,
  ) {
    return Padding(
        padding: EdgeInsets.only(left: 14, top: 6, right: 14),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Text(
              description,
              style: TextStyle(fontSize: 20, fontFamily: 'Montserrat'),
            ),
          ],
        ));
  }
}
