import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';

class RecommendedPlace extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return 
    
    
    Container(
          height: 320,
          width: 220,
          child: ListView(
            scrollDirection: Axis.horizontal,
            padding: EdgeInsets.all(10.0),
            children: <Widget>[
              Explore(context,'lib/assets/images/placeholder.jpg', 'Golden Bridge',),
              // Photo from https://unsplash.com/photos/gZXx8lKAb7Y
               Explore(context,'lib/assets/images/placeholder.jpg', 'Eiffel Tower',),
                // Photo from https://unsplash.com/photos/ZHP6JNIXtfQ
                 Explore(context,'lib/assets/images/placeholder.jpg', 'Grand Canyon',),
                // Photo from https://unsplash.com/photos/EkI9kedvfjA
                 Explore(context,'lib/assets/images/placeholder.jpg', 'Krabi',),
                // Photo from https://unsplash.com/photos/dd_hrEMsF2o
            ],
          ),
        );
    
   
  }


  Widget Explore(
      BuildContext context,
    String imageurl,
    String city,
    
  ) {
    return Column(
     crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Card(
          semanticContainer: true,
          clipBehavior: Clip.antiAliasWithSaveLayer,
          child: Stack(
            children: <Widget>[
              Image.asset(
                imageurl,
                height: 220,
                width: 180,
                fit: BoxFit.cover,
              ),
              Positioned(
                top: 170,
                left: 40,
                child: Container(
                    height: 30.0,
                    width: 100.00,
                    decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(3.0),
                        color: Theme.of(context).accentColor,
                        boxShadow: [
                          BoxShadow(
                             
                              color: Theme.of(context).accentColor.withOpacity(0.3),
                             )
                        ]),
                    child: Center(
                      child: Text(
                        city,
                        style: TextStyle(color: Colors.white),
                      ),
                    )),
              )
            ],
          ),
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(10.0),
          ),
          elevation: 5,
          margin: EdgeInsets.all(10),
        ),
      
     
      ],
    );
  }
}
