import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';
import 'package:geideadesignframework/templates/booking/Pages/Akureyri.dart';
import 'package:geideadesignframework/templates/booking/Pages/BerghausKlondike.dart';
import 'package:geideadesignframework/templates/booking/Pages/Hol.dart';

class HotelList extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 460,
      width: 220,
      child: ListView(
        scrollDirection: Axis.horizontal,
        padding: EdgeInsets.all(10.0),
        children: <Widget>[
          GestureDetector(
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Akureyri()),
              );
            },
            child: hotels(context,'lib/assets/images/placeholder.jpg', '\$60/night', 'Akureyri',
                'Akureyri, Iceland', 5, '(210)'),
            // Photo from https://unsplash.com/photos/2d4lAQAlbDA
          ),
          GestureDetector(
            onTap: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => Hol()),
              );
            },
            child: hotels(context,'lib/assets/images/placeholder.jpg', '\$120/night', 'Hol', 'Geilo, Norway',
                3, '(90)'),
            // Photo from https://unsplash.com/photos/wHUFmZRMpLc
          ),
          GestureDetector(
              onTap: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => BK()),
                );
              },
              child: hotels(context,'lib/assets/images/placeholder.jpg', '\$90/night', 'Berghaus Klondike',
                  'Engelberg, Switzerland', 4, '(360)')
              // Photo from https://unsplash.com/photos/561igiTyvSk
              ),
        ],
      ),
    );
  }

  Widget hotels(
      BuildContext context,
    String imageurl,
    String price,
    String name,
    String place,
    int rating,
    String lol,
  ) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Card(
          semanticContainer: true,
          clipBehavior: Clip.antiAliasWithSaveLayer,
          child: Stack(
            children: <Widget>[
              Image.asset(
                imageurl,
                height: 330,
                width: 230,
                fit: BoxFit.cover,
              ),
              Positioned(
                top: 16,
                left: 140,
                child: Container(
                    height: 25.0,
                    width: 80.00,
                    decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(3.0),
                        color: Theme.of(context).accentColor,
                        boxShadow: [
                          BoxShadow(
                            color: Theme.of(context).accentColor.withOpacity(0.3),
                          )
                        ]),
                    child: Center(
                      child: Text(
                        price,
                        style: TextStyle(color: Colors.white),
                      ),
                    )),
              )
            ],
          ),
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(10.0),
          ),
          elevation: 5,
          margin: EdgeInsets.all(10),
        ),
        Padding(
          padding: EdgeInsets.only(left: 14),
          child: Text(
            name,
            style: TextStyle(fontFamily: 'Montserrat'),
          ),
        ),
        Padding(
          padding: EdgeInsets.only(left: 14),
          child: Text(place),
        ),
        Padding(
          padding: EdgeInsets.only(left: 14),
          child: Row(
            children: <Widget>[
              stars(context,rating, 1),
              stars(context,rating, 2),
              stars(context,rating, 3),
              stars(context,rating, 4),
              stars(context,rating, 5),
              Text(lol),
            ],
          ),
        )
      ],
    );
  }

  stars(BuildContext context, int rating, int index) {
    if (index <= rating) {
      return Icon(
        Icons.star,
        color: Theme.of(context).primaryColor,
        size: 13.0,
      );
    } else {
      return Icon(Icons.star, color: Colors.grey, size: 13.0);
    }
  }
}
